Delete a passenger
curl --request DELETE \
--url https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}import requests
url = "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PASSENGER_NOT_FOUND",
"origin": "TRAVEL",
"message": "Passenger not found"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "TRAVEL",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "organizationId",
"message": "Invalid UUID",
"code": "ORGANIZATIONID_UUID"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PROVIDER_UNAVAILABLE",
"origin": "TRAVEL",
"message": "Travel provider temporarily unavailable, please retry."
}Delete a passenger
Deletes a passenger from the organization.
DELETE
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
passengers
/
{passengerId}
Delete a passenger
curl --request DELETE \
--url https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}import requests
url = "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.travel.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/passengers/{passengerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PASSENGER_NOT_FOUND",
"origin": "TRAVEL",
"message": "Passenger not found"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "TRAVEL",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "organizationId",
"message": "Invalid UUID",
"code": "ORGANIZATIONID_UUID"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PROVIDER_UNAVAILABLE",
"origin": "TRAVEL",
"message": "Travel provider temporarily unavailable, please retry."
}Trips the passenger is already booked on keep the passenger’s data as it was at booking time. The passenger is no longer listed and can’t be booked again.
Path Parameters
ID of your realm.
Format: UUID
ID of the organization the passenger belongs to.
Format: UUID
ID of the passenger (24 hexadecimal characters).
Pattern:
^[0-9a-fA-F]{24}$Response
No Content. The operation succeeded and the response has no body.